cereal::PortableBinaryInputArchive::Options Class Reference

A class containing various advanced options for the PortableBinaryInput archive. More...

`#include </build/libcereal-5WjGYR/libcereal-1.3.2+dfsg/include/cereal/archives/portable_binary.hpp>`

## Public Types

enum class | Endianness : std::uint8_t { big , little }
| Represents desired endianness.

## Public Member Functions

| Options (Endianness inputEndian=getEndianness())
| Specify specific options for the PortableBinaryInputArchive. More...

## Static Public Member Functions

static Options | Default ()
| Default options, preserve system endianness.
static Options | LittleEndian ()
| Load into little endian.
static Options | BigEndian ()
| Load into big endian.

## Friends

class | PortableBinaryInputArchive

## Detailed Description

A class containing various advanced options for the PortableBinaryInput archive.

## Constructor & Destructor Documentation

## Options()

cereal::PortableBinaryInputArchive::Options::Options | ( | Endianness | inputEndian = `getEndianness()` | ) |

inline explicit

Specify specific options for the PortableBinaryInputArchive.

Parameters

  inputEndian | The desired endianness of loaded (input) data

The documentation for this class was generated from the following file:

- portable_binary.hpp